- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
dmxcmap.c File Reference
`#include "dmx.h"`
`#include "dmxlog.h"`
`#include "dmxsync.h"`
`#include "dmxcmap.h"`
`#include "dmxvisual.h"`
`#include "micmap.h"`

## Functions
static Bool | dmxAllocateColormapPrivates (ColormapPtr pColormap)
Bool | dmxBECreateColormap (ColormapPtr pColormap)
Bool | dmxCreateColormap (ColormapPtr pColormap)
Bool | dmxBEFreeColormap (ColormapPtr pColormap)
void | dmxDestroyColormap (ColormapPtr pColormap)
void | dmxInstallColormap (ColormapPtr pColormap)
void | dmxStoreColors (ColormapPtr pColormap, int ndef, xColorItem *pdef)
Bool | dmxCreateDefColormap (ScreenPtr pScreen)

## Detailed Description

Colormap support.

## Function Documentation

static Bool dmxAllocateColormapPrivates | ( | ColormapPtr | pColormap | ) | `[static]`

References _dmxColormapPriv::cmap, and DMX_SET_COLORMAP_PRIV.

Referenced by dmxCreateColormap().

Bool dmxBECreateColormap | ( | ColormapPtr | pColormap | ) |

Create pColormap on the back-end server.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, dmxLog(), dmxLookupVisual(), dmxScreens, dmxWarning, and _DMXScreenInfo::scrnWin.

Referenced by dmxBECreateResources(), and dmxCreateColormap().

Bool dmxBEFreeColormap | ( | ColormapPtr | pColormap | ) |

Destroy pColormap on the back-end server.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, and dmxScreens.

Referenced by dmxBEDestroyResources(), and dmxDestroyColormap().

Bool dmxCreateColormap | ( | ColormapPtr | pColormap | ) |

Create colormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, DMX_UNWRAP, DMX_WRAP, dmxAllocateColormapPrivates(), dmxBECreateColormap(), dmxCreateColormap(), and dmxScreens.

Referenced by dmxCreateColormap(), and dmxScreenInit().

Bool dmxCreateDefColormap | ( | ScreenPtr | pScreen | ) |

Create the DMX server's default colormap.

Referenced by dmxScreenInit().

void dmxDestroyColormap | ( | ColormapPtr | pColormap | ) |

Destroy colormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, DMX_GET_COLORMAP_PRIV, DMX_SET_COLORMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxBEFreeColormap(), dmxDestroyColormap(), and dmxScreens.

Referenced by dmxDestroyColormap(), and dmxScreenInit().

void dmxInstallColormap | ( | ColormapPtr | pColormap | ) |

Install colormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxInstallColormap(), dmxScreens, and dmxSync().

Referenced by dmxInstallColormap(), and dmxScreenInit().

void dmxStoreColors | ( | ColormapPtr | pColormap,
|  | int | ndef,
|  | xColorItem * | pdef
| ) |  |

Store colors in pColormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxScreens, dmxStoreColors(), and dmxSync().

Referenced by dmxScreenInit(), and dmxStoreColors().